## tcpcrypt 0.3~rc1

=== launchers/winlauncher/Makefile ===
CC	= $(PREFIX)gcc
CXX	= $(PREFIX)g++

WIX	= wine $(HOME)/.wine/drive_c/Program\ Files\ \(x86\)/Windows\ Installer\ XML\ v3/bin/
CANDLE	= $(WIX)candle
LIGHT	= $(WIX)light

NAME	 = tcpcrypt.exe
CFLAGS	 = -Wall -g -I. -MD
CXXFLAGS = $(CFLAGS)
LDFLAGS  = -lgdi32 -lsetupapi -lws2_32  -lole32 -luuid \
		-Wl,-subsystem,windows

OBJS	 = tcpcrypt.o res.o 

all: $(NAME)

res.o: res.rc resource.h tcpcrypt.exe.manifest
	$(PREFIX)windres $(<) $(@)

$(NAME): $(OBJS)
	$(CC) $(CFLAGS) -o $(@) $(OBJS) $(LDFLAGS)

tcpcrypt.wixobj: tcpcrypt.wxs tcpcrypt.exe
	$(CANDLE) tcpcrypt.wxs

tcpcrypt.msi: tcpcrypt.wixobj
	$(LIGHT) -sval tcpcrypt.wixobj

clean:
	rm -f *.o $(NAME) *.d

-include *.d

=== debian/changelog ===
tcpcrypt (0.3~rc1-3) unstable; urgency=medium

  * repair launcher example script.
  * fix error strncpy
  * Standards-Version: bump to 3.9.6 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Sep 2014 17:39:45 -0400

tcpcrypt (0.3~rc1-2) unstable; urgency=medium

  * avoid linking with extra libraries

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 18 Sep 2014 15:44:58 -0400

tcpcrypt (0.3~rc1-1) unstable; urgency=medium

  * New Upstream Release
  * dropped patches (incorporated upstream)
  * dropped README.Source (upstream reorganized their source so we
    just pull from git)
  * avoid exporting extra symbols

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Mon, 15 Sep 2014 17:39:10 -0400

tcpcrypt (0.3~rc0-1) unstable; urgency=medium

  * New Upstream Release

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 07 Sep 2014 11:37:35 -0400

tcpcrypt (0.2+git20140723-1) unstable; urgency=medium

  * First upload to debian (Closes: #755825)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 23 Jul 2014 17:08:08 -0400

=== debian/control ===
Source: tcpcrypt
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends: debhelper (>=9),
               dh-autoreconf,
               libcap-dev,
               libnetfilter-queue-dev,
               libnfnetlink-dev,
               libssl-dev,
               pandoc
Standards-Version: 3.9.6
Section: net
Homepage: http://tcpcrypt.org/
Vcs-Git: git://git.debian.org/collab-maint/tcpcrypt
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpcrypt.git

Package: tcpcryptd
Section: net
Architecture: any
Depends: adduser,
         libtcpcrypt0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: Opportunistically encrypt network transport
 Tcpcrypt offers opportunistic security for TCP network traffic.  All
 traffic between two tcpcrypt-enabled peers will be encrypted to
 protect against passive monitoring.  tcpcrypt also exposes a strong
 session identifier to tcpcrypt-aware clients and servers, which can
 be used as a hook for authentication.
 .
 This package contains the network daemon, which will accept and wrap
 traffic redirected to it.

Package: libtcpcrypt0
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Description: Library to retrieve the tcpcrypt session ID where available
 Tcpcrypt offers opportunistic security for TCP network traffic.  All
 traffic between two tcpcrypt-enabled peers will be encrypted to
 protect against passive monitoring.  tcpcrypt also exposes a strong
 session identifier to tcpcrypt-aware clients and servers, which can
 be used as a hook for authentication.
 .
 This package contains a library useful for clients and servers
 interested in using the session ID for higher-level authentication.

Package: libtcpcrypt-dev
Section: libdevel
Architecture: any
Depends: libtcpcrypt0 (= ${binary:Version}), ${misc:Depends}
Description: Library to retrieve the tcpcrypt session ID where available
 Tcpcrypt offers opportunistic security for TCP network traffic.  All
 traffic between two tcpcrypt-enabled peers will be encrypted to
 protect against passive monitoring.  tcpcrypt also exposes a strong
 session identifier to tcpcrypt-aware clients, which can be used as a
 hook for authentication.
 .
 This package contains header files and directives for building tools
 that use libtcpcrypt.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

override_dh_autoreconf:
	mkdir -p m4
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- JAIL_USER=debian-tcpcryptd

## tcpcrypt 0.5

=== launchers/winlauncher/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 CC	= $(PREFIX)gcc
 CXX	= $(PREFIX)g++
 
-WIX	= wine $(HOME)/.wine/drive_c/Program\ Files\ \(x86\)/Windows\ Installer\ XML\ v3/bin/
+WIX	?= wine $(HOME)/.wine/drive_c/Program\ Files\ \(x86\)/Windows\ Installer\ XML\ v3/bin/
 CANDLE	= $(WIX)candle
 LIGHT	= $(WIX)light

=== debian/changelog ===
tcpcrypt (0.5-1build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 16:54:40 +0000

tcpcrypt (0.5-1) unstable; urgency=medium

  * New upstream version
  * bump standards-version to 3.9.8 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 15 Jul 2016 16:06:00 +0200

tcpcrypt (0.4-4) unstable; urgency=medium

  * added libpcap0.8-dev to build-deps (Closes #818401)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sun, 03 Apr 2016 22:30:17 -0300

tcpcrypt (0.4-3) unstable; urgency=medium

  * adopt a few upstream fixes:
   - avoid segfaults
   - improve readability of iptables rules

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 01 Apr 2016 16:11:49 -0300

tcpcrypt (0.4-2) unstable; urgency=medium

  * added README.Debian to tcpcryptd, explaining the systemd service.

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 15 Mar 2016 02:17:59 -0400

tcpcrypt (0.4-1) unstable; urgency=medium

  * new upstream version

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 09 Mar 2016 10:39:36 -0500

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,32 @@
 Source: tcpcrypt
 Priority: optional
-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
-Build-Depends: debhelper (>=9),
-               dh-autoreconf,
-               libcap-dev,
-               libnetfilter-queue-dev,
-               libnfnetlink-dev,
-               libssl-dev,
-               pandoc
-Standards-Version: 3.9.6
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
+Build-Depends:
+ debhelper (>=9),
+ dh-autoreconf,
+ dh-systemd,
+ libcap-dev,
+ libnetfilter-conntrack-dev,
+ libnetfilter-queue-dev,
+ libnfnetlink-dev,
+ libpcap0.8-dev,
+ libssl-dev,
+ pandoc
+Standards-Version: 3.9.8
 Section: net
 Homepage: http://tcpcrypt.org/
-Vcs-Git: git://git.debian.org/collab-maint/tcpcrypt
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/tcpcrypt.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/tcpcrypt.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/tcpcrypt.git
 
 Package: tcpcryptd
 Section: net
 Architecture: any
-Depends: adduser,
-         libtcpcrypt0 (= ${binary:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
+Depends:
+ adduser,
+ libtcpcrypt0 (= ${binary:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
 Description: Opportunistically encrypt network transport
  Tcpcrypt offers opportunistic security for TCP network traffic.  All
  traffic between two tcpcrypt-enabled peers will be encrypted to
@@ -34,7 +40,9 @@
 Package: libtcpcrypt0
 Section: libs
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ ${misc:Depends},
+ ${shlibs:Depends}
 Multi-Arch: same
 Description: Library to retrieve the tcpcrypt session ID where available
  Tcpcrypt offers opportunistic security for TCP network traffic.  All
@@ -49,7 +57,9 @@
 Package: libtcpcrypt-dev
 Section: libdevel
 Architecture: any
-Depends: libtcpcrypt0 (= ${binary:Version}), ${misc:Depends}
+Depends:
+ libtcpcrypt0 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Library to retrieve the tcpcrypt session ID where available
  Tcpcrypt offers opportunistic security for TCP network traffic.  All
  traffic between two tcpcrypt-enabled peers will be encrypted to

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf,systemd

override_dh_autoreconf:
	mkdir -p m4
	dh_autoreconf

override_dh_auto_configure:
	dh_auto_configure -- JAIL_USER=debian-tcpcryptd

override_dh_systemd_enable:
	dh_systemd_enable --no-enable
override_dh_systemd_start:
	dh_systemd_start --no-start
# do not invoke dh_installinit at all:
override_dh_installinit:

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%$%.asc%" \
 http://tcpcrypt.org/download.php \
  @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
